> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 포워딩 업데이트

> 경로의 계정 아래에 있는 고객 포워딩 규칙을 업데이트합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json PATCH /v1/public/accounts/{account_id}/forwarding/{forwarding_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/forwarding/{forwarding_id}:
    patch:
      tags:
        - public-accounts
        - public-forwarding
      summary: 포워딩 업데이트
      description: 경로의 계정 아래에 있는 고객 포워딩 규칙을 업데이트합니다.
      operationId: >-
        update_public_forwarding_v1_public_accounts__account_id__forwarding__forwarding_id__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: forwarding_id
          required: true
          schema:
            format: uuid
            title: Forwarding Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ForwardingUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForwardingDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    ForwardingUpdateRequest:
      description: 포워딩 대상을 업데이트하기 위한 요청.
      properties:
        target_email:
          description: 전달 대상 이메일 주소
          format: email
          title: 대상 이메일
          type: string
      required:
        - target_email
      title: ForwardingUpdateRequest
      type: object
    ForwardingDTO:
      properties:
        active:
          description: 전달이 활성화되어 있는지 여부
          title: 활성
          type: boolean
        created_at:
          description: 전달 규칙 생성 타임스탬프
          title: 생성일
          type: string
        id:
          description: 전달 규칙 UUID
          format: uuid
          title: ID
          type: string
        scope_id:
          description: 전달 범위에 대한 리소스 UUID
          format: uuid
          title: 범위 Id
          type: string
        scope_type:
          description: 전달 규칙의 리소스 범위 유형
          enum:
            - account
            - workspace
            - domain
          title: 범위 유형
          type: string
        target_email:
          description: 전달 대상 이메일 주소
          title: 대상 이메일
          type: string
        updated_at:
          description: 전달 규칙 최종 업데이트 타임스탬프
          title: 업데이트일
          type: string
        verification_expires_at:
          anyOf:
            - type: string
            - type: 'null'
          description: 확인 만료 타임스탬프
          title: 검증 만료 시각
        verification_required:
          description: 수신자 확인이 필요한지 여부
          title: 검증 필요
          type: boolean
        verification_sent_at:
          anyOf:
            - type: string
            - type: 'null'
          description: 확인 이메일 전송 타임스탬프
          title: 검증 전송 시각
        verification_state:
          description: 수신자 확인 상태
          enum:
            - internal
            - pending
            - verified
            - expired
          title: 검증 상태
          type: string
        verification_verified_at:
          anyOf:
            - type: string
            - type: 'null'
          description: 확인 완료 타임스탬프
          title: 검증 완료 시각
      required:
        - id
        - target_email
        - scope_type
        - scope_id
        - active
        - verification_state
        - verification_required
        - created_at
        - updated_at
      title: ForwardingDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````